View Issue Details

IDProjectCategoryView StatusLast Update
0003050FEMFeaturepublic2020-06-12 05:32
Reporterberndhahnebach Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status confirmedResolutionreopened 
Product Version0.19 
Summary0003050: FEM, constraint pressure, make it work on face meshes too.
DescriptionThe pressure constraint (FemConstraintPressure) should work on face meshes too. Ccx supports this.

but we gone face a problem here:
How do I get the information if a FEM mesh face is in the same direction like the geometrical face normal (the normal of the reference shape).

For more informations see: https://forum.freecadweb.org/viewtopic.php?f=18&t=21872
TagsNo tags attached.
FreeCAD Information

Activities

berndhahnebach

2017-05-28 10:49

developer   ~0009177

A first implementation has been merged into master. But it is a start only. The FEMMesh faces should not have flipped normals and group data is needed too. See the forum thread linked in description for more informations.

https://github.com/FreeCAD/FreeCAD/commit/7ed786cf863f5b11de55c6d4c7c8ce3e753bd5ce

berndhahnebach

2018-09-18 06:37

developer   ~0011786

issue 0003313 has further informations.

berndhahnebach

2018-09-18 06:44

developer   ~0011790

Last edited: 2018-09-18 06:44

View 2 revisions

closed by misstake, thus reopened

berndhahnebach

2020-06-12 05:29

developer   ~0014525

Last edited: 2020-06-12 05:31

View 2 revisions

related: https://forum.freecadweb.org/viewtopic.php?f=18&t=47497

berndhahnebach

2020-06-12 05:32

developer   ~0014526

https://github.com/FreeCAD/FreeCAD/blob/6271887cc656d8571000de2f4e06df2be8d84105/src/Mod/Fem/femmesh/meshtools.py#L1586

Issue History

Date Modified Username Field Change
2017-05-27 09:57 berndhahnebach New Issue
2017-05-27 09:57 berndhahnebach Summary make pressure constraint work on shell meshes too. => FEM, ccx, make pressure constraint work on shell meshes too.
2017-05-28 10:49 berndhahnebach Note Added: 0009177
2017-05-28 10:50 berndhahnebach Summary FEM, ccx, make pressure constraint work on shell meshes too. => FEM - ccx input file, make pressure constraint work on shell meshes too.
2017-05-28 10:50 berndhahnebach Description Updated View Revisions
2017-05-28 10:51 berndhahnebach Summary FEM - ccx input file, make pressure constraint work on shell meshes too. => FEM - ccx input file, make pressure constraint work on face meshes too.
2018-02-18 16:51 normandc Relationship added related to 0003350
2018-02-18 16:51 normandc Relationship deleted related to 0003350
2018-09-18 06:15 berndhahnebach Assigned To => berndhahnebach
2018-09-18 06:15 berndhahnebach Status new => assigned
2018-09-18 06:15 berndhahnebach Assigned To berndhahnebach =>
2018-09-18 06:16 berndhahnebach Assigned To => berndhahnebach
2018-09-18 06:16 berndhahnebach Assigned To berndhahnebach =>
2018-09-18 06:17 berndhahnebach Summary FEM - ccx input file, make pressure constraint work on face meshes too. => FEM, pressure constraint , make it work on face meshes too.
2018-09-18 06:17 berndhahnebach Description Updated View Revisions
2018-09-18 06:18 berndhahnebach Assigned To => berndhahnebach
2018-09-18 06:18 berndhahnebach Status assigned => confirmed
2018-09-18 06:18 berndhahnebach Assigned To berndhahnebach =>
2018-09-18 06:37 berndhahnebach Note Added: 0011786
2018-09-18 06:40 berndhahnebach Assigned To => berndhahnebach
2018-09-18 06:40 berndhahnebach Status confirmed => closed
2018-09-18 06:40 berndhahnebach Resolution open => fixed
2018-09-18 06:44 berndhahnebach Status closed => feedback
2018-09-18 06:44 berndhahnebach Resolution fixed => reopened
2018-09-18 06:44 berndhahnebach Note Added: 0011790
2018-09-18 06:44 berndhahnebach Assigned To berndhahnebach =>
2018-09-18 06:44 berndhahnebach Status feedback => confirmed
2018-09-18 06:44 berndhahnebach Note Edited: 0011790 View Revisions
2018-09-25 18:21 berndhahnebach Summary FEM, pressure constraint , make it work on face meshes too. => FEM, constraint pressure, make it work on face meshes too.
2018-09-25 18:33 berndhahnebach Severity minor => feature
2020-06-12 05:29 berndhahnebach Note Added: 0014525
2020-06-12 05:29 berndhahnebach Product Version 0.17 => 0.19
2020-06-12 05:31 berndhahnebach Note Edited: 0014525 View Revisions
2020-06-12 05:32 berndhahnebach Note Added: 0014526